module m_Types
implicit none
  type, public :: ACCUMULATION_TYPE
    real                    :: thing = 1.0
  end type ACCUMULATION_TYPE
  
  type, public :: TYPED_FIELD
    real                    :: otherThing   = 1.0
  end type TYPED_FIELD

contains

end module m_Types